Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.event.progress
Interface ProgressEventConstants

public interface ProgressEventConstants

A interface containing the constants related to Progress events.

Version:
  1.0
Author:
  C.N.Medappa

Field Summary
`static short` | `PROG_LINK_STATUS_CHANGE` Link status change event type.
`static short` | `PROG_LOC_CHANGE` Location change event type.
`static short` | `PROG_PROGRESS_CHANGE` Progress change event type.
`static short` | `PROG_SECURITY_CHANGE` Security state change event type.
`static short` | `PROG_STATE_CHANGE` State change event type.
`static short` | `PROG_STATUS_CHANGE` Status change event type.
`static int` | `STATE_IS_BROKEN`
`static int` | `STATE_IS_DOCUMENT`
`static int` | `STATE_IS_INSECURE` Security state bits
`static int` | `STATE_IS_NETWORK`
`static int` | `STATE_IS_REQUEST` Progress State type bits.
`static int` | `STATE_IS_SECURE`
`static int` | `STATE_IS_WINDOW`
`static int` | `STATE_NEGOTIATING`
`static int` | `STATE_REDIRECTING`
`static int` | `STATE_SECURE_HIGH`
`static int` | `STATE_SECURE_LOW`
`static int` | `STATE_SECURE_MED`
`static int` | `STATE_START` Progress state transition bits.
`static int` | `STATE_STOP`
`static int` | `STATE_TRANSFERRING`

Field Detail

### STATE_START

    public static final int STATE_START

  Progress state transition bits. These flags indicate the various states that documents and requests may transition through as they are being loaded.

  See Also:
    Constant Field Values

### STATE_REDIRECTING

    public static final int STATE_REDIRECTING

See Also:
  Constant Field Values

### STATE_TRANSFERRING

    public static final int STATE_TRANSFERRING

See Also:
  Constant Field Values

### STATE_NEGOTIATING

    public static final int STATE_NEGOTIATING

See Also:
  Constant Field Values

### STATE_STOP

    public static final int STATE_STOP

See Also:
  Constant Field Values

### STATE_IS_REQUEST

    public static final int STATE_IS_REQUEST

  Progress State type bits. These flags indicate whether the transition is occuring on a document or an individual request within the document.

  See Also:
    Constant Field Values

### STATE_IS_DOCUMENT

    public static final int STATE_IS_DOCUMENT

See Also:
  Constant Field Values

### STATE_IS_NETWORK

    public static final int STATE_IS_NETWORK

See Also:
  Constant Field Values

### STATE_IS_WINDOW

    public static final int STATE_IS_WINDOW

See Also:
  Constant Field Values

### STATE_IS_INSECURE

    public static final int STATE_IS_INSECURE

  Security state bits

  See Also:
    Constant Field Values

### STATE_IS_BROKEN

    public static final int STATE_IS_BROKEN

See Also:
  Constant Field Values

### STATE_IS_SECURE

    public static final int STATE_IS_SECURE

See Also:
  Constant Field Values

### STATE_SECURE_HIGH

    public static final int STATE_SECURE_HIGH

See Also:
  Constant Field Values

### STATE_SECURE_MED

    public static final int STATE_SECURE_MED

See Also:
  Constant Field Values

### STATE_SECURE_LOW

    public static final int STATE_SECURE_LOW

See Also:
  Constant Field Values

### PROG_STATE_CHANGE

    public static final short PROG_STATE_CHANGE

  State change event type.

  See Also:
    Constant Field Values

### PROG_PROGRESS_CHANGE

    public static final short PROG_PROGRESS_CHANGE

  Progress change event type.

  See Also:
    Constant Field Values

### PROG_LOC_CHANGE

    public static final short PROG_LOC_CHANGE

  Location change event type.

  See Also:
    Constant Field Values

### PROG_STATUS_CHANGE

    public static final short PROG_STATUS_CHANGE

  Status change event type.

  See Also:
    Constant Field Values

### PROG_SECURITY_CHANGE

    public static final short PROG_SECURITY_CHANGE

  Security state change event type.

  See Also:
    Constant Field Values

### PROG_LINK_STATUS_CHANGE

    public static final short PROG_LINK_STATUS_CHANGE

  Link status change event type.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.